Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts
Summary: Use Koha::Account::pay internally for recordpayment_selectaccts
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15896
Blocks: 15165 15898 15907
  Show dependency treegraph
 
Reported: 2016-02-24 14:24 UTC by Kyle M Hall
Modified: 2017-12-07 22:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts (6.25 KB, patch)
2016-02-24 14:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts (6.26 KB, patch)
2016-06-07 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts (6.26 KB, patch)
2016-12-09 18:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts (6.33 KB, patch)
2016-12-10 09:41 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15897 - Folowup Revert "Bug 15896: [QA Follow-up] Add accountlines_id parameter in paycollect" (1.79 KB, patch)
2016-12-10 10:38 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts (7.22 KB, patch)
2017-01-09 17:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts (7.22 KB, patch)
2017-01-09 17:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts (7.22 KB, patch)
2017-01-09 17:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15897 - Folowup Revert "Bug 15896: [QA Follow-up] Add accountlines_id parameter in paycollect" (1.79 KB, patch)
2017-01-09 17:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15897 [QA Followup] - Update unit tests (3.39 KB, patch)
2017-01-09 17:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts (7.29 KB, patch)
2017-01-10 09:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15897 - Folowup Revert "Bug 15896: [QA Follow-up] Add accountlines_id parameter in paycollect" (1.85 KB, patch)
2017-01-10 09:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15897 [QA Followup] - Update unit tests (3.45 KB, patch)
2017-01-10 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15897: Update ->pay POD (813 bytes, patch)
2017-01-10 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-02-24 14:24:02 UTC

    
Comment 1 Kyle M Hall 2016-02-24 14:25:52 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-06-07 15:11:00 UTC
Created attachment 52140 [details] [review]
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts

This is the third patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button
Comment 3 Marc Véron 2016-09-29 13:36:47 UTC
Tried to test on top of Bug 15896
Can not apply:
fatal: sha1 information is lacking or useless (C4/Accounts.pm).
Comment 4 Josef Moravec 2016-11-04 14:34:56 UTC
Ping Kyle, could you rebase please?
Comment 5 Kyle M Hall 2016-12-09 18:03:38 UTC
Created attachment 58084 [details] [review]
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts

This is the third patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button
Comment 6 Josef Moravec 2016-12-10 09:41:41 UTC
Created attachment 58092 [details] [review]
[SIGNED-OFF] Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts

This is the third patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Josef Moravec 2016-12-10 10:38:10 UTC
Created attachment 58094 [details] [review]
Bug 15897 - Folowup Revert "Bug 15896: [QA Follow-up] Add accountlines_id parameter in paycollect"

This reverts commit b6d5748c001febc5acd67938d12ba25844d11fbc.

As this bug report no more uses the accounline_id parameter to identify
account lines to pay in Koha::Account->pay, it should revert this, to
use the new notation everywhere.
Comment 8 Josef Moravec 2016-12-10 10:38:38 UTC
Kyle, could confirm I am right? Thanks
Comment 9 Jonathan Druart 2016-12-13 14:27:10 UTC
accountlines_id has been removed from the param list, but it's still used in tests.
We also need tests to highlight this change.
Comment 10 Kyle M Hall 2017-01-09 17:20:51 UTC
Created attachment 58698 [details] [review]
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts

This is the third patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 11 Kyle M Hall 2017-01-09 17:25:24 UTC
Created attachment 58699 [details] [review]
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts

This is the third patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 12 Kyle M Hall 2017-01-09 17:25:40 UTC
Created attachment 58700 [details] [review]
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts

This is the third patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 13 Kyle M Hall 2017-01-09 17:25:47 UTC
Created attachment 58701 [details] [review]
Bug 15897 - Folowup Revert "Bug 15896: [QA Follow-up] Add accountlines_id parameter in paycollect"

This reverts commit b6d5748c001febc5acd67938d12ba25844d11fbc.

As this bug report no more uses the accounline_id parameter to identify
account lines to pay in Koha::Account->pay, it should revert this, to
use the new notation everywhere.
Comment 14 Kyle M Hall 2017-01-09 17:25:50 UTC
Created attachment 58702 [details] [review]
Bug 15897 [QA Followup] - Update unit tests
Comment 15 Jonathan Druart 2017-01-10 09:21:54 UTC
Created attachment 58724 [details] [review]
Bug 15897 - Use Koha::Account::pay internally for recordpayment_selectaccts

This is the third patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 16 Jonathan Druart 2017-01-10 09:21:58 UTC
Created attachment 58725 [details] [review]
Bug 15897 - Folowup Revert "Bug 15896: [QA Follow-up] Add accountlines_id parameter in paycollect"

This reverts commit b6d5748c001febc5acd67938d12ba25844d11fbc.

As this bug report no more uses the accounline_id parameter to identify
account lines to pay in Koha::Account->pay, it should revert this, to
use the new notation everywhere.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 17 Jonathan Druart 2017-01-10 09:22:02 UTC
Created attachment 58726 [details] [review]
Bug 15897 [QA Followup] - Update unit tests

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 18 Jonathan Druart 2017-01-10 09:22:40 UTC
Created attachment 58727 [details] [review]
Bug 15897: Update ->pay POD

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 19 Kyle M Hall 2017-01-10 13:35:19 UTC
Pushed to master for 17.05!
Comment 20 Katrin Fischer 2017-01-15 15:56:31 UTC
This won't get ported back to 16.11.x as it is an enhancement.